package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;
import com.jasamedika.medifirst2000.entities.NilaiKelompokJabatan;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;


import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class RangeKmk
 * 
 * @author Generator
 */
@Entity
@Table(name = "sdm_RangeKmk_M")
public class RangeKmk  extends BaseMaster{
@ManyToOne
	 @JoinColumn(name = "KelompokJabatanFk")
	 @NotNull(message = "Kelompok Jabatan Harus Diisi")
	 @Caption(value = "Kelompok Jabatan")
	private NilaiKelompokJabatan kelompokJabatan;
	public NilaiKelompokJabatan getKelompokJabatan() {
		return kelompokJabatan;
	}
	public void setKelompokJabatan(NilaiKelompokJabatan kelompokJabatan) {
		this.kelompokJabatan = kelompokJabatan;
	}
	@Column(name = "KelompokJabatanFk", insertable=false,updatable=false)
	private Integer kelompokJabatanId;

	@Column(name = "Minimal", nullable = false , length = 100)
	 @Caption(value = "Minimal")
	private Integer minimal ;
	public Integer getMinimal() {
		return minimal ;
	}
	public void setMinimal(Integer minimal ) {
		this.minimal  = minimal ;
	}

	@Column(name = "Maximal", nullable = false , length = 100)
	 @Caption(value = "Maximal")
	private Integer maximal ;
	public Integer getMaximal() {
		return maximal ;
	}
	public void setMaximal(Integer maximal ) {
		this.maximal  = maximal ;
	}

	@Column(name = "Iki", nullable = false , length = 100)
	 @Caption(value = "Iki")
	private Integer iki ;
	public Integer getIki() {
		return iki ;
	}
	public void setIki(Integer iki ) {
		this.iki  = iki ;
	}

	@Column(name = "TotalRemunerasi", nullable = false , length = 100)
	 @Caption(value = "TotalRemunerasi")
	private Integer totalRemunerasi ;
	public Integer getTotalRemunerasi() {
		return totalRemunerasi ;
	}
	public void setTotalRemunerasi(Integer totalRemunerasi ) {
		this.totalRemunerasi  = totalRemunerasi ;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.sdm_RangeKmk_T_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.sdm_RangeKmk_T_id_seq", sequenceName = "public.sdm_RangeKmk_T_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

}